---
title: Sprintwechsel KW40
tags: [sprint-report]
---

Im Folgenden wollen wir euch wieder ein kurzes Update zum vergangenen Sprint geben.
Hierbei wollen wir auf die Stories eingehen, die wir bearbeitet haben, sowie den Stand der noch offenen Stories durchgeben.

## Umgesetzte Stories

Der Fokus dieses Sprints lag ganz darauf die API in einen Release Candidate Zustand für 1.0.0 zu bringen. Daher wurden primär Stories umgesetzt, die direkt die Spezifikation betreffen.

### CaseId bei der Anlage einer Einreichung

Die `caseId` wird nun nach der Anlage einer Einreichung in der Antwort mit zurückgeliefert. Des Weiteren funktioniert die Verarbeitung einer übergebenen `caseId` nun korrekt und sie wird der Einreichung zugeordnet.

### Änderung von Status Codes und Antworten

Für die folgenden Endpunkte haben sich die Status Codes im Erfolgsfall auf `204` geändert, da sie bisher immer eine leere Antwort lieferten. Im gleichen Zug wurde die Antwort gleich ganz entfernt.

* `DELETE /destinations/{destinationId}`
* `PUT /submissions/{submissionId}/attachments/{attachmentId}`
* `POST /submissions/{submissionId}/events`

### Versand einer Submission

Bisher bekam man auf ein `PUT /submissions/{submissionId}` in der Antwort eine Repräsentation, die die gleichen Metadaten und Fachdaten enthalten hat, die vorher über den PUT übermittelt wurden. Da beides größer ausfallen kann und die Übertragungszeit dadurch nicht strapaziert werden soll, wurden diese aus der Antwort von entfernt. Dies betrifft aber nur `PUT /submissions/{submissionId}` **und nicht** `GET /submissions/{submissionId}}`.

### Bereitstellung FIM Stammdatenschemas als JSON- bzw. XML-Schema

Von FIM Stammdatenschemas soll ein JSON- und XML-Schema abgeleitet werden. Dafür wurde [ein entsprechendes Konzept](https://git.fitko.de/fit-connect/konzepte/-/blob/main/XFall/FIM_zu_JSON_Schema.md) entwickelt, wie aus einem FIM Stammdatenschema ein JSON- bzw. XML-Schema abgeleitet werden kann. Zusätzlich wurde eine entsprechende Software zur Konvertierung entwickelt. In einem der kommenden Sprints wird dieser Prozess dann automatisiert und die Endergebnisse über `schema.fitko.de` bereitgestellt.


### Pagination

Für einige Endpunkte ist es Pagination empfehlenswert, da sie potenziell viele Ressourcen auflisten. Daher wurde für die folgenden Endpunkte Pagination definiert:

* `GET /destinations`
* `GET /submissions`

Die Pagination zeigt sich wie folgt, dass zusätzlich zu den `destinations` bzw. `submissions` die Attribute `offset`, `count` und `totalCount` zurückgegeben werden.
Über die Query-Parameter `limit` und `offset` kann die Seitenlänge und die entsprechende Seite angegeben werden.

Hier eine kurze Übersicht über die Definition der Begriffe:

Begriff | Beschreibung
--------|-------------
`limit` | Anzahl der zurückzugebenden Ergebnisse (standardmäßig 100)
`offset` | Startposition der Teilmenge zurückzugebender Ergebnisse aus der Gesamtergebnismenge. Standard ist 0.
`count` | Anzahl der zurückgegebenen Ergebnisse.
`totalCount` | Anzahl der existierenden Ergebnisse

### Visualisierung der API Version in der URL

Die Major-Version der Submission-API wird in der URL der API mit visualisiert, wodurch einfach zu erkennen ist, welche Major-Version verwendet wird. Dies ist eine vorausblickende, grundlegende und kleinere Änderung der API-URL.

## Unfertige Stories

Im Allgemeinen steht von einigen API-Änderungen noch die Implementierung bzw. der endgültige Review noch aus.

zusätzlich dazu steht noch das Statusmodell eines Zustellpunktes aus. Dieses soll eingeführt werden, damit der Betreiber bzw. Service-Anbieter eines Zustellpunktes den vollständigen Lebenszyklus des Zustellpunktes verwalten kann.

---

Ein Überblick über alle anstehenden Änderungen der Submission API gibt der [Issue-Tracker des `Submission API`-Repositories](https://git.fitko.de/fit-connect/api/-/issues).
Auch an der Dokumentation arbeiten wir weiterhin kontinuierlich und freuen uns dazu über euer Feedback!
Die uns bereits bekannten Verbesserungspotenziale finden sich im [Issue-Tracker des Dokumentations-Repositories](https://git.fitko.de/fit-connect/docs/-/issues).

---

Bei sonstigen Fragen, Hinweisen oder Wünschen freuen wir uns über Feedback über unseren [Service Desk](https://jira.fjd.de/servicedesk/customer/portal/5) oder per Mail an `fit-connect` <ät> `fitko.de`.
